dpkg-divert(8)

NAMN
dpkg-divert - överstyr ett pakets version av en fil

SYNOPS
dpkg-divert [flagga...] åtgärd

BESKRIVNING
dpkg-divert är verktyget som används för att ställa in och uppdatera listan över omdirigeringar.

Filen diversions är ett sätt att tvinga dpkg(1) att inte installera en fil på sin plats, utan på en omdirigerad plats. Omdirigeringar kan användas i skript i Debianpaket för att flytta bort en fil när den orsakar en konflikt. Systemadministratörer kan också använda det för att överstyra några pakets konfigurationsfiler, eller när några filer (som inte markerats som konfigurationsfiler) måste bibehållas av dpkg när en nyare version av ett paket som innehåller de filerna installeras.

KOMMANDON

[--add] fil
    Lägg till en omdirigering för fil.

--remove fil
    Ta bort en omdirigering för fil.

--list filnamnsmönster
    Visa omdirigeringar som matchar sökmönster.

--listpackage fil
    Visa namnet på paketet som omdirigerar fil. Svarar LOCAL om fil har omdirigerats lokalt och ingenting om fil inte är omdirigerad.

--truename fil
    Visa det riktiga namnet på en omdirigerad fil.

FLAGGOR

--admindir katalog
    Ställ dpkg:s datakatalog till katalog (standard: /var/lib/dpkg).

--divert omdirigera-till
    omdirigera-till är platsen där de versioner av fil som tillhandahålls av andra paket kommer omdirigeras till.

--local
    Anger att alla pakets versioner av denna fil skall omdirigeras. Det innebär att det inte finns några undantag, och att oavsett vilket paket som installeras så omdirigeras filen. Detta kan användas av en administratör för att installera en lokalt modifierad version.

--package paket
    paket är namnet på ett paket vars kopia av fil inte kommer att omdirigeras, dvs. fil kommer omdirigeras för alla paket förutom paket.

--quiet
    Tyst läge, dvs. ingen pratsam utdata.

--rename
    Flytta faktiskt filen åt sidan (eller tillbaka). dpkg-divert kommer att avbryta körningen om destinationsfilen redan existerar.

--test
    Testläge, dvs. utför inga faktiska ändringar, bara visa vad som skulle hända.

--help
    Visar hjälpskärm och avslutar.

--version
    Visar version och avslutar.

ANTECKNINGAR
Vid tillägg är standard --local och --divert original.distrib. Vid borttagning måste --package eller --local och --divert matcha om de anges. Kataloger kan inte omdirigeras med dpkg-divert. Se upp när du omdirigerar delade bibliotek. ldconfig(8) skapar en symbolisk länk baserad på DT_SONAME-fältet som är inbyggt i biblioteket. Eftersom ldconfig inte följer omdirigeringar (bara dpkg gör det) kan den symboliska länken komma att peka på det omdirigerade biblioteket om ett omdirigerat bibliotek har samma SONAMN som det ej omdirigerade.

EXEMPEL
För att omdirigera alla exemplar av en /usr/bin/exempel till /usr/bin/exempel.foo, dvs. omdirigera samtliga paket som tillhandahåller /usr/bin/exempel så att de installerar den som /usr/bin/exempel.foo, och utför namnbytet om det behövs:

dpkg-divert --divert /usr/bin/exempel.foo --rename /usr/bin/exempel

För att ta bort omdirigeringen:

dpkg-divert --rename --remove /usr/bin/exempel

För att omdirigera samtliga paket som försöker installera /usr/bin/exempel till /usr/bin/exempel.foo, förutom i det egna paketet wibble:

dpkg-divert --package wibble --divert /usr/bin/exempel.foo --rename /usr/bin/exempel

För att ta bort omdirigeringen:

dpkg-divert --package wibble --rename --remove /usr/bin/exempel

MILJÖVARIABLER

DPKG_ADMINDIR
    Om satt, och flaggan --admindir inte har angivits, används värdet som datakatalog för dpkg.

DPKG_MAINTSCRIPT_PACKAGE
    Om satt, och flaggorna --local och --package inte har angivits, kommer dpkg-divert använda det som paketnamn.

FILER

/var/lib/dpkg/diversions
    Filen som innehåller den aktuella listan med systemets omdirigeringar. Den är placerad i dpkg:s administrativa katalog, tillsammans med andra filer som är viktiga för dpkg, till exempel status och available.
    Observera: dpkg-divert behåller den gamla versionen av filen, med filtillägget old, innan den ersätter den med den nya.

SE ÄVEN
dpkg(1).

FÖRFATTARE
Upphovsrättsskyddat © 1995 Ian Jackson.

Detta är fri programvara; se GNU General Public License version 2 eller senare för kopieringsvillkor. Det finns INGEN GARANTI.

ÖVERSÄTTNING
Peter Krefting och Daniel Nylander.